libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::broken_connection Class Reference
Exception classes

Exception class for lost or failed backend connection. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::broken_connection:

## Public Member Functions

| broken_connection ()
| broken_connection (const std::string &)
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception ()=0 throw ()
| Support run-time polymorphism, and keep this class abstract.
virtual const PQXX_CONST std::exception & | base () const =0 throw ()
| Return std::exception base-class object.

## Detailed Description

Exception class for lost or failed backend connection.

Warning
  When this happens on Unix-like systems, you may also get a SIGPIPE signal. That signal aborts the program by default, so if you wish to be able to continue after a connection breaks, be sure to disarm this signal.

If you're working on a Unix-like system, see the manual page for `signal` (2) on how to deal with SIGPIPE. The easiest way to make this signal harmless is to make your program ignore it:

#include <signal.h>
int main()
{
signal(SIGPIPE, SIG_IGN);
// ...

## Constructor & Destructor Documentation

pqxx::broken_connection::broken_connection | ( |  | ) |

pqxx::broken_connection::broken_connection | ( | const std::string & | whatarg | ) |

explicit

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx